<script setup lang="ts">
import { ref } from 'vue'
import { useCounter } from '../store/counter'
import { storeToRefs } from 'pinia';
import api from '../service/apiCaller';
import UserForm from './UserForm.vue';

const store = useCounter()
const { counter } = storeToRefs(store)

const created = ref(false)

defineProps<{ msg: string }>()

const handler = () => {
  store.addCounter()
}

const toggle = () => created.value = true
</script>

<template>
  <h1>{{ msg }}</h1>
  <div v-if="created">
    <h1>Created!</h1>
  </div>
  <div v-if="!created">
    <user-form @hide="toggle"/>
  </div>
  

  <div class="card">
    <button class="counter" type="button" @click="handler">count is {{ counter }}</button>
    <p>
      Edit
      <code>components/HelloWorld.vue</code> to test HMR
    </p>
  </div>

  <p>
    Check out
    <a href="https://vuejs.org/guide/quick-start.html#local" target="_blank"
      >create-vue</a
    >, the official Vue + Vite starter
  </p>
  <p>
    Install
    <a href="https://github.com/johnsoncodehk/volar" target="_blank">Volar</a>
    in your IDE for a better DX
  </p>
  <p class="read-the-docs">Click on the Vite and Vue logos to learn more</p>
</template>

<style scoped>
.read-the-docs {
  color: #888;
}
</style>
